Subject: GStreamer fails with coglsink

From: Leo Prikler <[email-masked]>
Date: Tue, 14 Jan 2020 01:23:37 +0100

Hi Guix,

I've noticed recently, that GStreamer (specifically, but not limited
gst-play-1.0) would fail from the command line, whereas GStreamer-based 
applications (such as Totem) work fine.  After some debugging, I found
out that the offending element was coglsink, which is pulled in through
some propagation chain by GNOME, and automatically included in
GST_PLUGIN_SYSTEM_PATH as a result.  Clearing this variable or
specifying any other video sink (except autovideosink, which just loads
coglsink), acts as an effective workaround.
I believe, this might be related to the recent upgrade to 1.16.2, but I
am unsure whether this is really GStreamer's fault or mine for having
weird hardware.  Is anyone else experiencing similar issues?

Regards,
Leo